# htmerge

ht://Dig Copyright © 1995-2004 The ht://Dig Group
Please see the file COPYING for license information.

  ## Synopsis

  htmerge [options]

  ## Description

  Htmerge is used to create a document index and word database from the files that were created by htdig. These databases are then used by htsearch to perform the actual searched.

  ## Options

  -a
    Use alternate work files. Tells htdig to append .work to database files, causing a second copy of the database to be built. This allows the original files to be used by htsearch during the indexing run.
  -c configfile
    Use the specified configuration file instead of the default.
  -d
    Prevent the document index from being created.
  -m merge_configfile
    Merge the databases specified by merge_configfile into the databases specified by -c or the default. You will need a separate config file for each of the two databases. Then each file will set the database_dir or database_base attribute to change the name of the databases, so they are in different directories or files.
    Note: You must run htmerge separately on each of the databases created by htdig before merging them together with this option. This is because merging the two wordlists together requires wordlists that have already been cleaned up by htmerge. Because the -m option allows you to specify only one database to be merged into the other, and only one -m option may be specified, if you need to merge three or more databases together you must run htmerge multiple times with the -m option.
  -s
    Print statistics about the document and word databases after htmerge has finished.
  -v
    Run in verbose mode. This will provide some hints as to the progress of the merge. This can be useful when running htmerge interactively since some parts (especially the word database creation) can take a very long time.
  -w
    Prevent the word database from being created.
  In addition to the command line options, the environment variable TMPDIR will be used to designate the directory where intermediate files are stored during the sorting process.

  ## Files

  CONFIG_DIR/htdig.conf
    The default configuration file.

  ## See Also

  htdig, htsearch and Configuration file format.

Last modified: $Date: 2004/06/12 13:39:13 $